10 CLS : PRINT : PRINT : PRINT "     PARACHUTE"
20 PRINT "     Esben Collstrup, <ecollstr@aabc.dk>, Jan. 1996"
30 PRINT "     "
40 PRINT "     This program calculates the data for making a 1/2 parachute"
50 PRINT "     (hemisphere-type) gore. The data does NOT include seam-allowance,"
60 PRINT "     or the vent hole at the top of the chute. Suggestion: 5 mm seam-"
70 PRINT "     allowance at the sides for a single fold seam, and 10 mm seam-"
80 PRINT "     allowance at the base for a double fold seam."
90 PRINT "     The program is made to supplement the para-fauna section in the"
100 PRINT "     book Kites A Practical Handbook by Ron Moulton & Pat Lloyd or"
110 PRINT "     The Big Book of Parachuting Teddy Bears by Hugh Andrew & John"
120 PRINT "     Barker, and some of the data is taken from Kites, ..."
130 PRINT "     For detailed instruction on how to make parachutes for teddy"
140 PRINT "     bears or other stuffed fauna see the mentioned books."

142 IF INKEY$ = "" THEN GOTO 142
145 CLS : PRINT : PRINT : PRINT
150 pi = 3.14159
160 INPUT "Fauna weight (gram) ", w
170 PRINT
180 PRINT "Rate of descent          Chute dia."
190 REM Slow:   200 gram/m2
200 REM Medium: 250 gram/m2
210 REM Fast:   300 gram/m2
220 PRINT USING "Slow                       ### cm"; 2 * SQR(w / .06384)
230 PRINT USING "Medium                     ### cm"; 2 * SQR(w / .07968)
240 PRINT USING "Fast                       ### cm"; 2 * SQR(w / .09606)
250 PRINT
260 INPUT "Diameter (cm) ", d
270 INPUT "No. gores ", g
280 INPUT "Distance between data-points (cm) ", dx
290 PRINT
292 ON ERROR GOTO 800
300 LPRINT USING "Parachute diameter: ### cm"; d
310 LPRINT USING "No. of gores:        ##"; g
320 LPRINT USING "Shroud lines: ### - ### cm    "; d * 1.1; d * 1.4
330 LPRINT
340 LPRINT "Rate of descent         Fauna weight"
350 LPRINT USING "Slow                     #### gram"; (d / 2) * (d / 2) * .06384
360 LPRINT USING "Medium                   #### gram"; (d / 2) * (d / 2) * .07968
370 LPRINT USING "Fast                     #### gram"; (d / 2) * (d / 2) * .09606
380 LPRINT
390 x = 0
400 WHILE x < d * pi / 4
410  y = SIN(pi / 2 + x / d * 2) * d * pi / g / 2
420  LPRINT USING " x = ###.# cm,  y = ###.# cm"; x; y
430  x = x + dx
440 WEND
450 LPRINT USING " x = ###.# cm,  y =   0.0 cm"; d * pi / 4
460 END

500 CLS : PRINT : PRINT : PRINT USING "Parachute diameter: ### cm"; d
510 PRINT USING "No. of gores:        ##"; g
520 PRINT USING "Shroud lines: ### - ### cm    "; d * 1.1; d * 1.4
530 PRINT
540 PRINT "Rate of descent         Fauna weight"
550 PRINT USING "Slow                     #### gram"; (d / 2) * (d / 2) * .06384
560 PRINT USING "Medium                   #### gram"; (d / 2) * (d / 2) * .07968
570 PRINT USING "Fast                     #### gram"; (d / 2) * (d / 2) * .09606
580 PRINT
590 x = 0
600 WHILE x < d * pi / 4
610  y = SIN(pi / 2 + x / d * 2) * d * pi / g / 2
620 PRINT USING " x = ###.# cm,  y = ###.# cm"; x; y
630  x = x + dx
640 WEND
650 PRINT USING " x = ###.# cm,  y =   0.0 cm"; d * pi / 4
660 END

800 CLS : PRINT "         * PRINTER NOT RESPONDING: DISPLAYING OUTPUT TO SCREEN * "
810 PRINT "                      HIT ANY KEY TO CONTINUE"
820 IF INKEY$ = "" THEN GOTO 820 ELSE GOTO 500

